Skip to content

signUpWithEmailAndPassword

POST
/sign-up/email
curl --request POST \
--url https://gymgym.club/api/auth/sign-up/email \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "name": "example", "email": "example", "password": "example", "image": "example", "callbackURL": "example", "rememberMe": true }'

Sign up a user using email and password

Media typeapplication/json
object
name
required

The name of the user

string
email
required

The email of the user

string
password
required

The password of the user

string
image

The profile image URL of the user

string
callbackURL

The URL to use for email verification callback

string
rememberMe

If this is false, the session will not be remembered. Default is true.

boolean
Examplegenerated
{
"name": "example",
"email": "example",
"password": "example",
"image": "example",
"callbackURL": "example",
"rememberMe": true
}

Successfully created user

Media typeapplication/json
object
token

Authentication token for the session

string
nullable
user
required
object
id
required

The unique identifier of the user

string
email
required

The email address of the user

string format: email
name
required

The name of the user

string
image

The profile image URL of the user

string format: uri
nullable
emailVerified
required

Whether the email has been verified

boolean
createdAt
required

When the user was created

string format: date-time
updatedAt
required

When the user was last updated

string format: date-time
Examplegenerated
{
"token": "example",
"user": {
"id": "example",
"email": "hello@example.com",
"name": "example",
"image": "https://example.com",
"emailVerified": true,
"createdAt": "2026-04-15T12:00:00Z",
"updatedAt": "2026-04-15T12:00:00Z"
}
}

Bad Request. Usually due to missing parameters, or invalid parameters.

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}

Unauthorized. Due to missing or invalid authentication.

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}

Forbidden. You do not have permission to access this resource or to perform this action.

Media typeapplication/json
object
message
string
Examplegenerated
{
"message": "example"
}

Not Found. The requested resource was not found.

Media typeapplication/json
object
message
string
Examplegenerated
{
"message": "example"
}

Unprocessable Entity. User already exists or failed to create user.

Media typeapplication/json
object
message
string
Examplegenerated
{
"message": "example"
}

Too Many Requests. You have exceeded the rate limit. Try again later.

Media typeapplication/json
object
message
string
Examplegenerated
{
"message": "example"
}

Internal Server Error. This is a problem with the server that you cannot fix.

Media typeapplication/json
object
message
string
Examplegenerated
{
"message": "example"
}